import java.io.*;

import javax.naming.directory.InitialDirContext;
import org.xml.sax.InputSource;
import org.exolab.castor.dsml.Importer;
import org.exolab.castor.dsml.jndi.JNDIImporter;
import org.exolab.castor.dsml.tools.PrintImportListener;

public class Create
{                           
  Importer importer = null;
  PrintImportListener printer;
  StringWriter out = new StringWriter();

  public Create(InitialDirContext ctx)
  {
    importer = new JNDIImporter(ctx);
  }

  public String doCreate(String dsml)
  {
    try
    {
        StringWriter writer = new StringWriter();
        //set writer
        printer = new PrintImportListener( new PrintWriter( out ) );
        //set event listener
        importer.setImportEventListener( printer );
        //set the import policy
        importer.readImportDescriptor(new FileReader("C://Program Files//Allaire//JRun//servers//default//default-app//import.xml"));
        //insert records into LDAP
	      importer.importDocument(new StringReader(dsml));
    }
    catch(Exception e)
    {
      e.printStackTrace();
    }
    return out.toString();
  }
}
