<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="/">
	<xsl:element name="dsml">
		<xsl:element name="directory-entries">
			<xsl:element name="entry">
					<xsl:attribute name="dn">cn=<xsl:value-of select="data/GroupName"/>,ou=Groups,o=aici.com</xsl:attribute>
					<xsl:element name="objectclass"><xsl:element name="oc-value">top</xsl:element><xsl:element name="oc-value">groupofuniquenames</xsl:element></xsl:element>
					<xsl:element name="attr">
						<xsl:attribute name="name">cn</xsl:attribute>
						<xsl:element name="value">
							<xsl:value-of select="data/GroupName"/>
						</xsl:element>
					</xsl:element>
					<xsl:element name="attr">
						<xsl:attribute name="name">uniquemember</xsl:attribute>
						<xsl:for-each select="data/member">
							<xsl:element name="value"><xsl:value-of select="."/>,o=javaworld.com</xsl:element>
						</xsl:for-each>
					</xsl:element>
				</xsl:element>
		</xsl:element>
</xsl:element>
</xsl:template>
</xsl:stylesheet>
