<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:dsml="http://www.dsml.org/DSML">
<xsl:template match="/">
		<html>
			<head><title>Search Results</title></head>
			<body>
				<form action="CreateGroup" method="post">
					<table border="1" width="100%">
						<tr>
							<th>	Employee Name</th>
							<th>	User ID</th>
							<th>E-Mail</th>
							<th>Phone</th>
							<th>Fax</th>
							<th>Update</th>
						</tr>
						<xsl:for-each select="dsml/directory-entries/entry">
						<tr>
								<td>
									<xsl:value-of select="attr[@name='cn']/value"/>		
								</td>
			
								<td>
									<xsl:value-of select="attr[@name='uid']/value"/>		
								</td>
								<td>
									<xsl:value-of select="attr[@name='mail']/value"/>
								</td>
								<td>
									<xsl:value-of select="attr[@name='telephonenumber']/value"/>
								</td>
								<td>
									<xsl:value-of select="attr[@name='facsimiletelephonenumber']/value"/>
								</td>
								<td>
									<xsl:element name="input">
										<xsl:attribute name="type">checkbox</xsl:attribute>
										<xsl:attribute name="name">member</xsl:attribute>
										<xsl:attribute name="value"><xsl:value-of select="@dn"/></xsl:attribute>
									</xsl:element>
								</td>
							</tr>
							</xsl:for-each>
					</table>
					<hr width="100%" noshade="true"></hr>
					<table>
						<tr>
							<td>
								Group Name:
								<input type="text" size="20" name="GroupName"/>
							</td>
							<td>
								<input type="submit" value="Submit"/>
							</td>
							<td>
								<input type="reset" value="Reset"/>
							</td>
						</tr>
					</table>
				</form>
			</body>
		</html>
		</xsl:template>
	</xsl:stylesheet>