import org.apache.xerces.parsers.DOMParser;
import java.io.*;
import org.xml.sax.InputSource;
import org.w3c.dom.NodeList;
import org.w3c.dom.Node;
import org.w3c.dom.Attr;
import org.w3c.dom.Document;
import org.apache.xml.serialize.XMLSerializer;
import org.apache.xml.serialize.OutputFormat;

public class RemoveNamespace {

  public RemoveNamespace() {
  }
  public String remove(String xml) throws Exception
  {
    String repairedXML = "";
    try
    {
      DOMParser parser = new DOMParser();
      parser.setFeature("http://xml.org/sax/features/validation",false);
      parser.parse(new InputSource(new StringReader(xml)));
      Document doc = parser.getDocument();
      Attr namespace = parser.getDocument().getDocumentElement().getAttributeNode("xmlns");
      if ( namespace!=null)
      {
        doc.getDocumentElement().removeAttributeNode(namespace);
      }
      StringWriter writer = new StringWriter();
      XMLSerializer ser = new XMLSerializer(writer, new OutputFormat());
      ser.serialize(doc);

      repairedXML = new String(writer.getBuffer());
    }
    catch (Exception e)
    {  e.printStackTrace(); }
    return repairedXML;
  }
}
