import java.io.*;

import com.lotus.xsl.XSLProcessor;
import com.lotus.xsl.XSLTInputSource;
import com.lotus.xsl.XSLTResultTarget;


public class XSLUtil
{
    public String styleXSL(File xsl, String xml)
    {
        String html = new String();

        try
        {
            FileReader xslReader = new FileReader(xsl);
            StringWriter htmlWriter = new StringWriter();
            StringReader xmlReader = new StringReader(xml);

            XSLProcessor processor = new XSLProcessor();
            processor.process(new XSLTInputSource(xmlReader),
                              new XSLTInputSource(xslReader),
                              new XSLTResultTarget(htmlWriter));

            html = new String(htmlWriter.getBuffer().toString().getBytes());
        }
        catch ( Exception e)
        {
          e.printStackTrace();
        }

        return html;
    }
}